#
# spec file for package python-python-json-logger
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-python-json-logger
Version:        2.0.7
Release:        5.5
Summary:        A python library adding a json log formatter
License:        BSD-2-Clause
URL:            https://github.com/madzak/python-json-logger
Source:         https://files.pythonhosted.org/packages/source/p/python-json-logger/python-json-logger-%{version}.tar.gz
# PATCH-FIX-UPSTREAM gh#madzak/python-json-logger#183
Patch0:         support-python312.patch
# PATCH-FIX-UPSTREAM gh#madzak/python-json-logger#192
Patch1:         support-python313.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A python library adding a json log formatter.

%prep
%autosetup -p1 -n python-json-logger-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/pythonjsonlogger
%{python_sitelib}/python_json_logger-%{version}.dist-info

%changelog
* Fri Nov 15 2024 Steve Kowalik <steven.kowalik@suse.com>
- Add patch support-python313.patch:
  * Support time.time_ns changes in Python 3.13+.
* Thu Feb  1 2024 Steve Kowalik <steven.kowalik@suse.com>
- Add patch support-python312.patch:
  * Support logging changes in Python 3.12+.
* Tue Jan  2 2024 Dirk Müller <dmueller@suse.com>
- require setuptools
* Thu Jul 20 2023 Matej Cepl <mcepl@suse.com>
- Clean up the SPEC file.
- Switch to %%pyproject_* macros.
* Wed Jul 19 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed May  3 2023 Dirk Müller <dmueller@suse.com>
- update to 2.0.7:
  * Fix inclusion of py.typed in pip packages - @sth
  * Added pytest support with test file rename. Migrated to
    assertEqual
  * Parameter `rename_fields` in merge_record_extra is now
    optional - @afallou
  * Allow reserved attrs to be renamed - @henkhogan
  * Support added for Python 3.11
  * Now verifying builds in Pypy 3.9 as well
  * Type annotations are now in the package - @louis-jaris
  * Fix rename_fields for exc_info - @guilhermeferrari
  * Cleaned up test file for PEP8 - @lopagela
  * Cleaned up old Python 2 artifacts - @louis-jaris
  * Dropped Python 3.5 support - @idomozes
  * Moved type check via tox into 3.11 run only
  * Added test run in Python3.6 (will keep for a little while
    longer, but it's EOL so upgrade)
* Thu Oct  6 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 2.0.4 - 2022-07-11
  Changed
  Fix too strict regex for percentage style logging - @aberres
- Update to 2.0.3 - 2022-07-08
  Added
  Add PEP 561 marker/basic mypy configuration. - @bringhurst
  Workaround logging.LogRecord.msg type of string. - @bringhurst
  Changed
  Changed a link archive of the reference page in case it's down. - @ahonnecke
  Removed unnecessary try-except around OrderedDict usage - @sozofaan
  Update documentation link to json module + use https - @deronnax
  Dropped 3.5 support. - @bringhurst
* Sat Nov  6 2021 Dirk Müller <dmueller@suse.com>
- update to 2.0.2:
  * drop python 3.4 support
* Fri May 28 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Mon Dec 21 2020 John Vandenberg <jayvdb@gmail.com>
- Disable Python 2 builds
- Add %%doc README.md
- Update to v2.0.1
  * Support Pypi long descripton
  * rename output fields
- from v2.0.0
  * New Changelog
  * Added timezone support to timestamps - @lalten
  * Refactored log record to function - @georgysavva
  * Add python 3.8 support - @tommilligan
  * Removed support for Python 2.7
  * Removed Debian directory
* Thu May  9 2019 pgajdos@suse.com
- version update to 0.1.11
  * no upstream changelog
- run testsuite
- run spec cleaner
- install LICENSE
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Aug  8 2017 tbechtold@suse.com
- fix Requires
* Fri Jul 28 2017 tbechtold@suse.com
- Initial packaging (version 0.1.7)
